Author Topic: Requesting 64bit Linux Feedback  (Read 3021 times)

kraflab

  • Rogueliker
  • ***
  • Posts: 454
  • Karma: +0/-0
    • View Profile
    • kraflab.com
Requesting 64bit Linux Feedback
« on: August 12, 2012, 12:48:26 PM »
Hello there,

Someone recently told me they were unable to run Epilogue on 64bit Ubuntu.  As one person isn't a great sample size, I was wondering if anyone who has access to a 64bit Linux distribution could try out the most recent build and let me know if it runs fine or if it crashes.  Please list your computer specifications.

Here is the build: http://kraflab.com/epilogue_current_linux.tar.gz

Thanks a bunch!  With more information hopefully I will be able to figure out the problem.

Z

  • Rogueliker
  • ***
  • Posts: 905
  • Karma: +0/-0
    • View Profile
    • Z's Roguelike Stuff
Re: Requesting 64bit Linux Feedback
« Reply #1 on: August 12, 2012, 02:58:11 PM »
I have disarmed a trapped fountain and could not pick up the trap.

I also went to sleep, my blinking sickness kicked in, and I was instantly killed by Void.

But other than that, yes, it works, and it always worked for me on 64-bit Ubuntu.

AFAIK if something does not work on 64-bit Ubuntu, this means that 32-bit versions of libraries are not installed.

And please avoid linking to the file named "current", I do not know whether this is the same I already have.

kraflab

  • Rogueliker
  • ***
  • Posts: 454
  • Karma: +0/-0
    • View Profile
    • kraflab.com
Re: Requesting 64bit Linux Feedback
« Reply #2 on: August 12, 2012, 03:08:51 PM »
Version 2.1 is the current one, but there shouldn't be any difference in terms of the program working at all, so any version is fine for this endeavor.  (Version number shows up at the lower left of the title screen)

I'm surprised you didn't wake up when you entered the void...I'll get that and the trapped fountain bug fixed for the next update.

Thanks.

As for the libraries, that was the first thing I asked about, but apparently the program runs and then core dumps and the guy has the 32bit libs.  I guess it is either a hardware issue or something that he has modified with the os itself.

kraflab

  • Rogueliker
  • ***
  • Posts: 454
  • Karma: +0/-0
    • View Profile
    • kraflab.com
Re: Requesting 64bit Linux Feedback
« Reply #3 on: August 13, 2012, 01:20:47 PM »
Just for the sake of posterity, the problem has been resolved, with the apparent issue being:

"Apple iMac + Ubuntu x64 + x86 libs + OpenSource GFX Driver = Epilogue Crash"

The full post can be found here:

http://www.desura.com/games/epilogue/forum/thread/64bit-linux